slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSEVSLGetDOSParameters

Gets the parameters used for computing the density of states (DOS) in the EVSL solver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSEVSLGetDOSParameters(EPS eps,EPSEVSLDOSMethod *dos,PetscInt *nvec,PetscInt *deg,PetscInt *steps,PetscInt *npoints)

Not Collective

### Input Parameter

| eps | - the eigensolver context

### Output Parameters

| dos | - DOS method, either KPM or Lanczos
| nvec | - number of sample vectors
| deg | - polynomial degree (KPM only)
| steps | - number of Lanczos steps (Lanczos only)
| npoints | - number of sample points (Lanczos only)

### See Also

EPSEVSLSetDOSParameters()

### Level

intermediate

### Location

src/eps/impls/external/evsl/evsl.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages